Subject: Re: bug#45887: buffer cache flushed after excute 'parted -s print' command
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Date: Fri, 15 Jan 2021 09:37:59 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Jan 15, 2021 at 12:32:42PM +0900, Hyun Ha wrote:
> Hi,
> I have a strange issue with parted.
> After execute parted command, buffer cache flushed and I don't know why.
> I have nvme device to set bcache and HDD device for backing block device of
> bcache and writeback mode.

Yes, parted calls fsync when it is done with the device. It always opens
the device in RW mode and always fsync's it when closing it to make sure
any changes make it to disk.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart